## org.apache.mahout.common.iterator.sequencefile
Class PathFilters

    java.lang.Object
      org.apache.mahout.common.iterator.sequencefile.PathFilters

    public final class PathFilters

extends Object

Supplies some useful and repeatedly-used instances of `PathFilter`.

Method Summary
`static org.apache.hadoop.fs.PathFilter` `finalPartFilter()`
`static org.apache.hadoop.fs.PathFilter` `logsCRCFilter()`
`static org.apache.hadoop.fs.PathFilter` `partFilter()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### partFilter

    public static org.apache.hadoop.fs.PathFilter partFilter()

  Returns:
    `PathFilter` that accepts paths whose file name starts with "part-". Excludes ".crc" files.

### finalPartFilter

    public static org.apache.hadoop.fs.PathFilter finalPartFilter()

  Returns:
    `PathFilter` that accepts paths whose file name starts with "part-" and ends with "-final".

### logsCRCFilter

    public static org.apache.hadoop.fs.PathFilter logsCRCFilter()

  Returns:
    `PathFilter` that rejects paths whose file name starts with "_" (e.g. Cloudera _SUCCESS files or Hadoop _logs), or "." (e.g. local hidden files), or ends with ".crc"

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.